-- REPLACE DBNAME with the name of the database you are running this script against, USERNAME with username YOU are using to connect to the database, and USERPASSWD with your password
CONNECT TO DBNAME USER USERNAME USING USERPASSWD;  

-- REPLACE DBSCHEMA with the schema of your database
SET CURRENT SCHEMA DBSCHEMA;



--update tmt_settings with latest client version and build numbers


UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '6.5.2.31', DESCRIPTION = '6.5.2.31'
WHERE ELEMENT_ID = 'CLIENT_BUILD_NUMBER';

UPDATE TMT_SETTINGS
SET DESCRIPTION = '6.5.2.31'
WHERE ELEMENT_ID = 'SERVER_BUILD_NUMBER';


UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '6.1.1.2'
WHERE ELEMENT_ID = 'CLIENT_VERSION_NUMBER';

UPDATE TMT_SETTINGS
SET DESCRIPTION = '6.1.1.2'
WHERE ELEMENT_ID = 'APPLICATION_VERSION';    


DROP INDEX TWKFL_EID_ST_CD_XX;
CREATE INDEX TWKFL_EID_ST_CD_XX ON TMT_WORKFLOWS
		(ELEMENT_ID ASC,
		 WKF_STATUS ASC,
		 CREATED_DATE ASC);
		 
DROP INDEX WKFRP_RID_XX;
CREATE INDEX WKFRP_RID_XX ON WORKFLOW_REPLIES
		(RESOURCE_ID ASC,
    		REPLY_TYPE ASC)
		PCTFREE 30 ;                        